<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_b5376d0e9fe3d5eb6bf061a08" . "124c0f8" => base64_decode("aWNfcHJ" . "vamVjdA" . "=="), "_ca5c0c5d8fc7b79e" . "47b56dde22624d04" => base64_decode("aGVscGRlc2sucGFnZXMubWFpbg=" . "="), "_680a1dbec29674745c" . "98efd92ae1c0f6" => base64_decode("YXBwX" . "2lj"), "_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_63589e5520a96ab" . "938b2d69673e48d4" . "4" => base64_decode("aWNfa" . "XNzdW" . "U="));
use Claromentis\Infocapture\InfocaptureApplication;
use Claromentis\Search\ItemType;






class ICApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_63589e5520a96ab938b2d69673e48d" . "44"] => function () {
            return new ItemType\ICIssue();
        }, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b5376d0e9fe3d" . "5eb6bf061a0812" . "4c0f8"] => function () {
            return new ItemType\ICProject();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744f69bbc0e8b3ea" . "2f6e847d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_ca5c0c5d8fc7b79e47b56dde22" . "624d04"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_680a1dbec296747" . "45c98efd92ae1c0f" . "6"];
    }
    public function GetIcon() : string
    {
        return InfocaptureApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_63589e5520a96ab93" . "8b2d69673e48d44"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_b5376d0e9fe3d5eb6bf061a08124" . "c0f8"]];
    }
}